#!/bin/bash -e
DIR="/opt/ucaptcha"
PWD=`pwd`

if [ "$DIR" == "$PWD" ]; then
  echo "Don't install in $PWD!"
  exit 1
fi

which monit > /dev/null || yum install -y monit


[ ! -d $DIR.bak ] || rm -rf $DIR.bak

/etc/init.d/ucaptcha stop || true
[ ! -d $DIR ] || mv $DIR $DIR.bak

mkdir -p $DIR
chown root:root -R ./
mv misc/monit.conf  /etc/monit.d/ucaptcha.conf
mv fonts tpl misc ucaptcha start-stop-daemon ucaptcha.conf $DIR
mv ucaptcha.sh /etc/init.d/ucaptcha

if [ -f "$DIR.bak/ucaptcha.conf" ]; then
  mv $DIR.bak/ucaptcha.conf $DIR/ucaptcha.conf
fi


chkconfig ucaptcha on
/etc/init.d/ucaptcha start || true
echo "done"
